# View2D(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``View2D`(bpy_struct)

  Scroll and zoom for a 2D region

  `region_to_view`(x, y)

    Transform region coordinates to 2D view

    Parameters: | x (float in [-inf, inf]) – x, Region x coordinate y (float in [-inf, inf]) – y, Region y coordinate
    Returns: | Result, View coordinates
    Return type: | float array of 2 items in [-inf, inf]

  `view_to_region`(x, y, clip=True)

    Transform 2D view coordinates to region

    Parameters: | x (float in [-inf, inf]) – x, 2D View x coordinate y (float in [-inf, inf]) – y, 2D View y coordinate clip (boolean, (optional)) – Clip, Clip coordinates to the visible region
    Returns: | Result, Region coordinates
    Return type: | int array of 2 items in [-inf, inf]

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Region.view2d` |